### Method

# Gtk DragSource set_actions

#### Declaration [src]

    void
    gtk_drag_source_set_actions (
      GtkDragSource* source,
      GdkDragAction actions
    )

#### Description [src]

Sets the actions on the `GtkDragSource`.

During a DND operation, the actions are offered to potential drop targets. If `actions` include `GDK_ACTION_MOVE`, you need to listen to the `GtkDragSource::drag-end` signal and handle `delete_data` being `TRUE`.

This function can be called before a drag is started, or in a handler for the `GtkDragSource::prepare` signal.

Sets property | `Gtk.DragSource:actions`

#### Parameters

`actions` | `GdkDragAction`
| The actions to offer.